Subject: Re: [PATCH v2 0/4] grep: simplify "grep defaults" handling

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 25 Nov 2020 10:27:21 +0100

On Tue, Nov 24 2020, Martin Ågren wrote:

> This is v2 of my series [1] to simplify the setup and use of the `struct
> grep_opt grep_defaults`. The only difference compared to v1 is in the
> third patch which now drops more code in favor of copying the whole
> struct in one go.

It's good to see this change, I remembered having to juggle these values
a while back in:

    git log -p --author=Ævar --grep=memset -- grep.c

Thanks.